> For the complete documentation index, see [llms.txt](https://api.docs.fan/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.docs.fan/profile/favorites/lookup.md).

# Lookup

Use this endpoint to fetch the current favorite teams and leagues for a profile.

### Required Scopes

`profile_favorites:read`

## Request

### URL

`GET /v2/profile/{ID}/favorites`

### Path Parameters

| Name | Required | Description                                                                                                                            |
| ---- | -------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| `ID` | true     | Unique FanID for the customer's account (tenant-specific). This value is a property of the ID Token returned in the SSO login process. |

### Headers

<table><thead><tr><th width="177">Name</th><th>Description</th></tr></thead><tbody><tr><td>Authorization</td><td>User access token from the code exchange.</td></tr></tbody></table>

## Response

Returns an array of favorite entries.

<table><thead><tr><th width="177">Name</th><th>Description</th></tr></thead><tbody><tr><td>favorite_id</td><td>Unique identifier for this favorite entry.</td></tr><tr><td>entity_type</td><td>Type of the favorited entity, e.g. team or league.</td></tr><tr><td>entity_id</td><td>Numeric identifier of the favorited entity.</td></tr><tr><td>sdp_id</td><td>Sports Data Platform identifier for the entity.</td></tr><tr><td>name</td><td>Display name of the favorited entity.</td></tr><tr><td>created_at</td><td>Timestamp when the favorite was created.</td></tr></tbody></table>

## Full Spec

{% openapi src="/files/Rvz5AclbuaMMsKqc2MTO" path="/v2/profile/{ID}/favorites" method="get" %}
[openapi-profile-gw.json](https://3657007978-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1G9XmPfyfOHS6i6FdlzL%2Fuploads%2Fgit-blob-a68e994e124ac5da5f3535adc09057feef8b39a3%2Fopenapi-profile-gw.json?alt=media)
{% endopenapi %}
